Bug 444100 - crash at warm boot with external ieee1394 hard drive on Macintosh
crash at warm boot with external ieee1394 hard drive on Macintosh
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-24 19:24 EDT by John Reiser
Modified: 2008-06-12 00:19 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-12 00:19:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lspci -v -nn (8.10 KB, text/plain)
2008-04-24 19:26 EDT, John Reiser
no flags Details
lspci -nn run from Rescue mode (2.08 KB, text/plain)
2008-04-26 12:31 EDT, John Reiser
no flags Details

  None (edit)
Description John Reiser 2008-04-24 19:24:43 EDT
Description of problem: If a previous operating system has "parked" an external
hard disk drive connected via ieee1394 interface (for instance, Mac OS X 10.4.11
Restart, or Ctrl-Alt-DEL after responding "Ignore drive" to anaconda complaint
about mac partition layout on the external drive) then booting the Fedora 9
Preview DVD for i386 crashes before getting to the syslinux menu screen to
select the Install/Text/Rescue/... action.  Cold boot works (turn on power for
first time); so does warm boot before "Ignore drive" response (Ctrl-Alt-DEL
before seeing the warning "/dev/sda currently has a mac partition layout.")


Version-Release number of selected component (if applicable):
anaconda-11.4.0.73

How reproducible: always


Steps to Reproduce:
1. boot Fedora 9 Preview DVD for i386 on Apple Macintosh Mini Core Duo i686,
with external harddrive having ieee1394 interface and formatted with mac
partition table.
2.  Click "Ignore drive" when warned "/dev/sda currently has a mac partition
layout. ..." The warning appears immediately after choosing keyboard layout
during graphical install, and also immediately before the disk partition dialog.
3. Reboot via Ctrl-Alt-DEL
  
Actual results:  Crash during the reboot, before syslinux menu screen appears. 
Display monitor hardware detects "No signal" and goes into power-saving mode. 
Recovery requires turning the power off, then on.


Expected results: No crash.


Additional info: will attach lspci output.
Comment 1 John Reiser 2008-04-24 19:26:58 EDT
Created attachment 303710 [details]
lspci -v -nn

Run on Apple Macintosh Mini, Intel Core Duo (not Core 2 Duo) i686, with
external firewire hard drive connected.
Comment 2 John Reiser 2008-04-24 19:28:06 EDT
"About this Mac" says:
   Boot ROM MM 11.0055.B08
   SMC version 1.3f4
Comment 3 Jeremy Katz 2008-04-24 22:22:01 EDT
That sounds almost certainly like a bug in the firmware of the box
Comment 4 Stefan Richter 2008-04-26 07:07:59 EDT
>>> If a previous operating system has "parked" an external hard disk drive
>>> connected via ieee1394 interface [...] then booting the Fedora 9
>>> Preview DVD for i386 crashes before getting to the syslinux menu screen
>>> to select the Install/Text/Rescue/... action.

What do you mean by "parked"?  Stopped the HDD spindle motor?

Which brand and model is this disk?

Could you burn another bootable CD(-RW), e.g. FreeDOS, Knoppix, or even an older
Fedora install CD or DVD, and check whether that one crashes too?

>> "About this Mac" says:
>>   Boot ROM MM 11.0055.B08
>>   SMC version 1.3f4

I've got this too, but modified with rEFIt.  A warm boot always restarts
FireWire disks before rEFIt's boot selector appears.

> That sounds almost certainly like a bug in the firmware of the box

Which software is run until the Install/Text/Rescue menu?
Comment 5 John Reiser 2008-04-26 12:20:39 EDT
> What do you mean by "parked"?  Stopped the HDD spindle motor?

The activity LED on the drive flashes "once", perhaps this is "unmount", perhaps
this retracts the heads.  The spindle is still spinning.

> Which brand and model is this disk?

'parted' says "WDC WD80 0JB-00ETA0 (scsi)" but it is a 3.5-inchd pata drive that
I installed in an all-aluminum Firewire+USB2.0 enclosure marked Adaptec, whose
back panel says {3.5" Mobile Drive  Model ACS-200 Serial #051xxxx}.  'smartctl'
says {Device: WDC WD80 0JB-00ETA0       Version: 0.01
scsiModePageOffset: response length too short, resp_len=4 offset=4 bd_len=0
>> Terminate command early due to bad response to IEC mode page}.

> Could you burn another bootable CD(-RW), e.g. FreeDOS, Knoppix, or even an 
> older Fedora install CD or DVD, and check whether that one crashes too?

All four of these crash in the same way: KNOPPIX_V5.0.1DVD-2006-06-01-EN,
KNOPPIX_V5.1.1CD-2007-01-04-EN, Fedora 8 DVD for i386, Fedora 9 Preview DVD for
i386.

> 
> >> "About this Mac" says:
> >>   Boot ROM MM 11.0055.B08
> >>   SMC version 1.3f4
> 
> I've got this too, but modified with rEFIt.  A warm boot always restarts
> FireWire disks before rEFIt's boot selector appears.

Holding down the Option key and rebooting, then I see the activity LED on the
drive enclosure flash "once" shortly after the chime ends, a pause of several
seconds, then 6 to 8 flashes in a little more than one second.

> 
> > That sounds almost certainly like a bug in the firmware of the box
> 
> Which software is run until the Install/Text/Rescue menu?

When booting with the Option key held down, the firmware shows a nice gray-scale
image of a CD/DVD platter with the word 'Windows' below it.  Then that sides a
bit to the right, and a nice image of a harddrive appears with "Macintosh HD"
below, and a large arrow below the picture of the MacHD.  Using the mouse, I
click on the CD/DVD picture, which highlights the picture and moves the arrow to
be under the picture.  Then clicking the arrow causes a boot from the CD/DVD
platter.  After the boot block, I believe that syslinux is the first thing to
run.  Its text splash screen goes by too quickly to read.  Then I see a
GRUB-style boot screen: VGA character-cell graphics on a blue+white picture
background.

Apple Hardware Test DVD says no problems from the Extended test.  Howver,
memtest86+ verion 2.01 from the Fedora 9 Preview DVD says that there are memory
errors, particularly bit 0x80 at address 0x100020, and some others.  So now I
need to find the courage and patience to open the Mini and upgrade the RAM from
2x 256MB to 2x 1GB.
Comment 6 Stefan Richter 2008-04-26 12:26:59 EDT
> All four of these crash in the same way: KNOPPIX_V5.0.1DVD-2006-06-01-EN,
> KNOPPIX_V5.1.1CD-2007-01-04-EN, Fedora 8 DVD for i386, Fedora 9 Preview
> DVD for i386.

But Apple DVDs don't crash?
Comment 7 John Reiser 2008-04-26 12:31:50 EDT
Created attachment 303852 [details]
lspci -nn  run from Rescue mode

The relevant lines seem to be:
00:00.0 Host bridge [0600]: Intel Corporation Mobile 945GM/PM/GMS, 943/940GML
and 945GT Express Memory Controller Hub [8086:27a0] (rev 03)
03:03.0 FireWire (IEEE 1394) [0c00]: Agere Systems FW323 [11c1:5811] (rev 61)
Comment 8 Stefan Richter 2008-04-26 13:05:00 EDT
I wrote:
> Which software is run until the Install/Text/Rescue menu?

This was rather a question to the Fedora maintainers.  Because if this is a
kernel boot prompt, then the only software run before this which is able to
access FireWire is the Apple firmware.  Unless isolinux accesses devices through
the Apple firmware, apart from the CD/DVD.

(A crash is only possible by actually accessing the FireWire disk and
encountering an error while doing so.  The mere presence of an idle FireWire
disk cannot cause a crash.)
Comment 9 Bug Zapper 2008-05-14 06:08:03 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Andy Lindeberg 2008-06-02 17:20:01 EDT
Are you having the same problem with the final release of F9?
Comment 11 John Reiser 2008-06-03 00:09:38 EDT
Yes, the production release of F9 still exhibits this crash.
Comment 12 Andy Lindeberg 2008-06-03 10:19:39 EDT
Let's see if we can't get an answer to Stefan's question then.
Comment 13 Jeremy Katz 2008-06-11 11:58:43 EDT
The menu is just syslinux/isolinux -- which ends up going through the legacy
BIOS emulation provided by the Apple firmware.  
Comment 14 Stefan Richter 2008-06-11 12:53:17 EDT
I.e. it is not a Fedora (anakonda) bug.  Anyone close it please.
Comment 15 Jarod Wilson 2008-06-11 13:12:18 EDT
So the thinking is that its a bug in Apple's bios emulation not handling a
parked firewire drive correctly, right? Booting an Apple cd would undoubtedly do
native EFI instead of bios emu, thus no problems expected. I'd assume booting a
Windows cd (which requires the bios emu) ought to trigger the hang too then,
which would more or less confirm for certain this is a bios emu problem, not a
failing on linux's part (though it seems possible this could still be a syslinux
bug).
Comment 16 John Reiser 2008-06-12 00:19:01 EDT
Booting a WinXP Pro with Service Pack 2 Install CD (Upgrade edition) got "Press
any key to boot from CD...Missing operating system" and a crash.  That points
the blame at firmware in the Apple CPU, or an interface that is poorly
understood by the boot software on the CD.

After filing this original bugzilla report, I converted the external hard drive
to EFI GPT format, so I cannot reproduce the exact original environment.  I
tried two other external ieee1394 drives with Mac partition format (one drive at
a time: Acomdata and Coolmax housings [instead of Adaptec], both with Seagate
PATA drives [instead of Western Digital]), and a Fedora 9 final release DVD. 
Today the F9 DVD did not crash.  So there are multiple suspects:  syslinux
and/or anaconda [got better from Preview to final Release ?], the firmware in
the external housings, the firmware in the drives, the firmware in the Apple
CPU.  That's too cumbersome to track down.

I'm closing this bugzilla report as Insufficient_Data.  I no longer have enough
interest or time to fiddle with it.

Note You need to log in before you can comment on or make changes to this bug.